---
title: "Get Agent VM by ID"
url: https://hexelstudio.com/docs/api/compute/vms/get
---

# Get Agent VM by ID

**GET** `/compute/v1/vms/{id}`

## Path parameters

- `id: string`

  VM ID (UUID)

## Headers

- `Authorization: string`

  `Bearer <token>`. STS access token. Obtain via POST https://sts.hexelstudio.com/token with X-API-Key header.

## Returns

`200` OK (`AgentVM`)

- `allocated_at: optional string`

- `created_at: optional string`

- `expires_at: optional string`

- `id: optional string`

- `metadata: optional map[string]`

- `released_at: optional string`

- `skills: optional array of string`

- `state: optional string`

- `tier: optional string`

- `token: optional string`

- `ttl_seconds: optional integer`

## Errors

- `404` Not Found

## Example

```bash
curl --request GET \
  --url 'https://compute.hexelstudio.com/compute/v1/vms/{id}' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "allocated_at": "2026-01-01T00:00:00Z",
  "created_at": "2026-01-01T00:00:00Z",
  "expires_at": "2026-01-01T00:00:00Z",
  "id": "string",
  "metadata": {
    "key": "string"
  },
  "released_at": "2026-01-01T00:00:00Z",
  "skills": [
    "string"
  ],
  "state": "string",
  "tier": "string",
  "token": "string",
  "ttl_seconds": 0
}
```

### Response (404)

```json
{
  "code": 0,
  "error_code": "string",
  "message": "string"
}
```
